Subject: Re: bug#73599: packages from store paths don't propagate propagated-inputs

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 02 Oct 2024 18:22:08 +0000

Hi [explicitly CC'ing Ludo', I hope that's OK],

I don't think

  guix install $(guix build foo)

is, or is expected to be, a supported way to install packages?  Packages have more metadata attached to them than store items.  I don't think that propagation is recorded in the Nix database.  Nor do I think it should be just to support this hack.

The manual doesn't explicitly say that it's semi-supported, which could be improved, but I think it's quietly understood...

It happens to work most of the time, it can be nice to have (I install most firefox versions this way), we won't deliberately break the way it happens to work, but it's not a synonym of

  guix install foo

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.